1. Player Stats
MarvelRivalsAPI.com
  • Introduction
  • Get Started
    • Authentication
    • Rate Limits
    • Errors
      • Status Codes
    • SDKs & Extentions
      • Community Libraries
  • Endpoints
    • Achievements
      • List achievements
      • Search achievement
    • Patch Notes
      • List balances
      • Search balance
      • List dev diaries
      • Search dev diary
      • List patch notes
      • Search patch note
      • List game versions
    • Battle Pass
      • Battlepass
    • Heroes
      • List Heroes
      • Search hero
      • Hero stats
      • Hero leaderboard
      • List costumes
      • Search hero costume
    • Items
      • List items
      • Search item
    • Maps
      • List maps
      • Search map
    • Player Match History
      • Search match
      • Player match history
      • Player match history v2
    • Player Stats
      • Search player
        GET
      • Player stats
        GET
      • Player stats v2
        GET
      • Update player
        GET
      • Player Leaderboard
        GET
    • Seasons
      • List seasons
      • Search season
  • Community
    • Discord Bots
  1. Player Stats

Player Leaderboard

GET
/api/v2/players/leaderboard
Player Stats
Maintainer:Alastor

Request

Query Params

Responses

🟢200Success
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://marvelrivalsapi.com/api/v2/players/leaderboard?page=&limit=&device=&season='
Response Response Example
{
    "page": 0,
    "limit": 0,
    "total_players": 0,
    "total_pages": 0,
    "players": [
        {
            "score": 0,
            "uid": "string",
            "name": "string",
            "icon": {
                "player_icon_id": "string",
                "player_icon": "string"
            },
            "rank": {
                "rank": {
                    "rank": "string",
                    "image": "string",
                    "color": "string"
                },
                "win_rate": "string",
                "max_level": 0,
                "rank_score": 0,
                "protect_score": 0,
                "diff_score": 0,
                "season_number": 0,
                "win_count": 0,
                "level": 0,
                "max_rank_score": 0,
                "season_max_level": 0,
                "battle_count": 0
            }
        }
    ]
}
Modified at 2026-05-20 08:01:42
Previous
Update player
Next
List seasons
Built with